* {
	margin: 0;
	/* scroll-behavior: smooth; */
}

::-webkit-scrollbar {
	display: none;
}

h1 {
	font-size: 40px;
}

h2 {
	font-size: 30px;
}

h3 {
	font-size: 25px;
}

p,
a {
	font-size: 15px;
	color: #fff;
	text-decoration: none;
}

a {
	text-decoration: underline;
}

.g-center {
	position: relative;
	width: 100%;
	text-align: center;
	align-items: center;
	justify-content: center;
	display: flex;
}

.g-left,
.g-right {
	position: relative;
	width: calc(50% - 60px);
	padding: 30px;
}

.g-left .intro {
	width: 80%;
}

.provinces .g-left {
	width: calc(40% - 60px);
}

.provinces .g-right {
	width: calc(60% - 60px);
}

.provinces .select-province {
	position: absolute;
	top: 30px;
	left: 30px;
}

.typed.active {
	opacity: 1;
}

.explain-slide {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
}

.explain-slide .train-part {
	position: absolute;
	bottom: 0;
}

.center-box {
	position: relative;
	padding: 30px;
	background-color: rgba(255, 255, 255, 0.3);
	border-radius: 10px;
	max-width: 30%;
}

.center-box span {
	position: absolute;
	font-size: 16px;
	top: 10px;
	right: 10px;
}

.center-box h3 {
	text-align: center;
	margin-bottom: 30px;
}

/* ------------------------------ end of general CSS ------------------------------ */

main {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vh;
	height: 100vw;
	transform-origin: top left;
	transform: rotate(-90deg) translateX(-100vh);
	overflow-x: hidden;
	overflow-y: scroll;
}

article {
	display: flex;
	flex-direction: row;
	width: fit-content;
	height: fit-content;
	transform-origin: top left;
	transform: rotate(90deg) translateY(-100vh);
}

section {
	width: 100vw;
	height: 100vh;
	overflow-y: hidden;
	display: flex;
	flex-wrap: wrap;
	font-family: monospace;
	font-size: 3rem;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	background: #160235;
	color: #fff;
	background-image: url(../images/clouds.png);
	background-repeat: repeat;
	background-size: cover;
}

section.last {
	display: none;
}

#content,
#route {
	display: flex;
	justify-content: center;
}

.train-part {
	position: relative;
	width: 100%;
}

.train {
	position: fixed;
	bottom: 5px;
	left: 5px;
	width: 100%;
	height: 50px;
	z-index: 10;
}

.train img {
	height: 50px;
}

.train-part .track {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 8px;
	object-fit: cover;
}

.train-part .trainstation.right,
.train-part .trainstation.left {
	position: absolute;
	bottom: 3px;
	right: 0;
	width: auto;
	height: 100px;
	object-fit: cover;
}

.train-part .trainstation.left {
	left: 0;
}

/* CSS for the pop-up box */
#popup {
	position: absolute;
	background-color: white;
	border: 2px solid #ccc;
	padding: 10px;
	z-index: 1000;
}

#popup h2 {
	color: #000;
}

.new-point {
	cursor: pointer;
	z-index: 999999999;
	animation: flashing 1s linear infinite;
}

.title-box {
	width: 80%;
	text-align: center;
	position: relative;
	margin: 0 auto;
	height: 100%;
}

.title-box h1 {
	font-size: 5vw;
	margin: 50px 0 20px 0;
	width: 100%;
}

.title-box p {
    width: 60%;
    margin: auto;
}

/* --------------------------------- Scroll effect ----------------------------------- */
.scroll-box {
	position: absolute;
	display: flex;
	left: 50%;
	top: 70%;
	transform: translate(-50%, 0%);
	justify-content: center;
	align-items: center;
}

.icon-scroll {
	width: 40px;
	height: 70px;
	margin-right: 10px;
	position: relative;
	box-shadow: inset 0 0 0 1px #fff;
	border-radius: 25px;
}

.icon-scroll:before {
	content: '';
	position: absolute;
	width: 8px;
	height: 8px;
	background: #fff;
	margin-left: -4px;
	top: 8px;
	border-radius: 4px;
	animation: scroll 1.5s infinite;
}

@keyframes scroll {
	0% {
		opacity: 1;
	}

	100% {
		opacity: 0;
		transform: translateY(46px);
	}
}

/* --------------------------------- table styling ----------------------------------- */

table {
	width: 100%;
	table-layout: fixed;
}
.tbl-header {
	background-color: rgba(255, 255, 255, 0.3);
	border-radius: 10px 10px 0 0;
}
.tbl-content {
	margin-top: 0px;
	border-radius: 0 0 10px 10px;
	background-color: rgba(255, 255, 255, 0.3);
}
th {
	padding: 20px 15px;
	text-align: left;
	font-weight: 500;
	font-size: 20px;
	color: #fff;
	text-transform: uppercase;
}
td {
	padding: 10px;
	text-align: left;
	vertical-align: middle;
	font-weight: 300;
	font-size: 16px;
	color: #fff;
	/* border-bottom: solid 1px rgba(255,255,255,0.1); */
	word-break: break-word;
}
td img {
	width: 100%;
	height: 200px;
	object-fit: cover;
}
td:first-child {
	width: 30%;
}
td:last-of-type {
	width: 60%;
}

/* --------------------------------- Route-slide styling ----------------------------------- */
.route-slide {
	justify-content: space-evenly;
}

.route-slide .g-left {
	background: cadetblue;
	border-radius: 10px;
	width: fit-content !important;
	overflow: visible;
	margin-right: 10px;
	width: calc(50% - 50px);
}

.route-slide .g-left::after {
	position: absolute;
	content: '';
	clip-path: polygon(100% 50%, 50% 0%, 50% 100%);
	right: -10px;
	height: 20px;
	top: 50%;
	width: 20px;
	background: cadetblue;
}

.route-slide .g-right {
	background-color: hsla(252, 13%, 46%, 1);
	border-radius: 10px;
}

.route-slide .g-left,
.route-slide .g-right {
	position: relative;
	width: calc(50% - 40px);
	height: fit-content;
	padding: 10px;
}
.route-slide .extra-data {
	position: relative;
	border-radius: 10px;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	max-width: 600px;
	margin-bottom: 20px;
}

.route-slide .extra-data div {
	background-color: rgba(255, 255, 255, 0.3);
	border-radius: 10px;
	width: calc(50% - 30px);
	display: flex;
	flex-wrap: wrap;
	padding: 10px;
}

.route-slide .extra-data input#fareUnits {
	width: calc(50% - 30px);
	border: none;
	border-radius: 20px;
}

/* --------------------------------- warning-box CSS ----------------------------------- */

.route-slide .g-right .warning-box {
	position: relative;
	width: calc(100% - 42px);
	display: flex;
	flex-wrap: nowrap;
	border: 2px solid rgba(255, 255, 255, 0.3);
	border-radius: 10px;
	padding: 20px;
}

.route-slide .g-right .warning-box div:last-child {
	position: relative;
	display: flex;
	flex-wrap: wrap;
	margin-left: 10px;
}

.route-slide .g-right .warning-box span.icon {
    position: relative;
    display: block;
    line-height: 20px;
    font-size: 35px;
    border-radius: 50%;
    text-align: center;
    color: orange;
}

.barchart {
	margin-top: 20px;
	width: calc(100% - 42px) !important;
}

text.x-axis-label {
	font-size: 10px;
	fill: #fff;
}

/* --------------------------------- Barchart CSS ----------------------------------- */

.barchart {
	position: relative;
	width: 100%;
	margin-top: 20px;
	display: flex;
	flex-wrap: wrap;
	padding: 20px;
	border: 2px solid rgba(255, 255, 255, 0.3);
	border-radius: 10px;
}

.tooltip {
	position: absolute;
	top: 50px;
	left: 20px;
}

#sortBar{
    position: absolute;
	top: 50px;
	right: 20px;
}

.disruption-data {
	cursor: pointer;
}

.circ {
	cursor: pointer;
}

/* --------------------------------- Buttons ----------------------------------- */
#fareButtons button {
    border: none;
    padding: 10px;
    border-radius: 4px;
    margin-right: 10px;
    background-color: rgb(255 255 255 / 30%);
    cursor: pointer;
}

#fareButtons button:hover {
    background-color: rgb(255 255 255 / 100%);
    transition: all 0.3s linear;
}

/* --------------------------------- confetti ----------------------------------- */

.confetti-piece {
    position: absolute;
    width: 8px;
    height: 16px;
    background: #ffd300;
    top: 0;
    opacity: 0;
  }
  .confetti-piece:nth-child(1) {
    left: 7%;
    transform: rotate(-79deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 1s;
    animation-duration: 2s;
  }
  .confetti-piece:nth-child(2) {
    left: 14%;
    transform: rotate(-42deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 2s;
    animation-duration: 2.5s;
  }
  .confetti-piece:nth-child(3) {
    left: 21%;
    transform: rotate(-25deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 3s;
    animation-duration: 3.5s;
  }
  .confetti-piece:nth-child(4) {
    left: 28%;
    transform: rotate(-10deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 4s;
    animation-duration: 3.5s;
  }
  .confetti-piece:nth-child(5) {
    left: 35%;
    transform: rotate(24deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 5s;
    animation-duration: 3.5s;
  }
  .confetti-piece:nth-child(6) {
    left: 42%;
    transform: rotate(-9deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 1s;
    animation-duration: 2s;
  }
  .confetti-piece:nth-child(7) {
    left: 49%;
    transform: rotate(-28deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 2s;
    animation-duration: 2.5s;
  }
  .confetti-piece:nth-child(8) {
    left: 56%;
    transform: rotate(-49deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 3s;
    animation-duration: 3.5s;
  }
  .confetti-piece:nth-child(9) {
    left: 63%;
    transform: rotate(-11deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 4s;
    animation-duration: 3s;
  }
  .confetti-piece:nth-child(10) {
    left: 70%;
    transform: rotate(63deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 5s;
    animation-duration: 3.5s;
  }
  .confetti-piece:nth-child(11) {
    left: 77%;
    transform: rotate(27deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 1s;
    animation-duration: 2s;
  }
  .confetti-piece:nth-child(12) {
    left: 84%;
    transform: rotate(24deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 2s;
    animation-duration: 2.5s;
  }
  .confetti-piece:nth-child(13) {
    left: 91%;
    transform: rotate(54deg);
    animation: makeItRain 5000ms infinite ease-out;
    animation-delay: 3s;
    animation-duration: 3s;
  }
  .confetti-piece:nth-child(odd) {
    background: #17d3ff;
  }
  .confetti-piece:nth-child(even) {
    z-index: 1;
  }
  .confetti-piece:nth-child(4n) {
    width: 5px;
    height: 12px;
    animation-duration: 5000ms;
  }
  .confetti-piece:nth-child(3n) {
    width: 3px;
    height: 10px;
    animation-duration: 5000ms;
    animation-delay: 2000ms;
  }
  .confetti-piece:nth-child(4n-7) {
    background: #ff4e91;
  }
  
  @keyframes makeItRain {
    from {
      opacity: 0;
    }
    50% {
      opacity: 1;
    }
    to {
      transform: translateY(300px);
    }
  }

/* --------------------------------- CSS effects ----------------------------------- */

@keyframes flashing {
	from {
		opacity: 1;
	}

	to {
		opacity: 0.5;
	}
}

.fade-in {
	animation: 1.5s fadeIn;
}

@keyframes fadeIn {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

.fade-in-right {
	animation: 2.5s fadeInRight;
}

@keyframes fadeInRight {
	0% {
		transform: translateX(-100%);
		opacity: 0;
	}

	100% {
		transform: translateX(0%);
		opacity: 1;
	}
}

@media screen and (max-width: 1400px) {
	p,
	td {
		font-size: 14px;
	}
}

@media screen and (max-width: 1020px) {
	section,
	.train {
		display: none !important;
	}

	section.last {
		display: block !important;
		color: #000;
		background-color: #fff;
	}

	section.last h2,
	section.last p {
		color: #000;
	}
}
